How to implement a custom Python Exception with custom message?

PythonServer Side ProgrammingProgramming

For the given code above the solution is as follows

Example

class CustomValueError(ValueError):
def __init__(self, arg):
self.arg = arg
try:
a = int(input("Enter a number:"))
if not 1 < a < 10:
raise CustomValueError("Value must be within 1 and 10.")
except CustomValueError as e:
print("CustomValueError Exception!", e.arg)

Output

Enter a number:45
CustomValueError Exception! Value must be within 1 and 10.
Process finished with exit code 0
raja
Published on 07-Dec-2017 08:02:08
Advertisements